// ENTITY_MD2 Class    (c) by Heinrich Tillack 2002
// (c) by Heinrich Tillack 2002 (http://a128.x15.org)
// under GPL or new BSD license



#ifndef ENTITY_MD2H
#define ENTITY_MD2H


extern "C" {
#include "md2.h"
}
#include "object.h"


class ENTITY_MD2 : public OBJECT
{
public:
    ENTITY_MD2();
    ~ENTITY_MD2();

    GLvoid Load(char *model_name, char *skin_name);

    GLvoid Draw();
    GLvoid SetBlendCount(const int b);
    GLvoid SetAnimStart (const int b);
    GLvoid SetAnimEnd (const int b);
    struct md2_model_node *GetModel();




private:

    struct md2_model_node *model;
    int tex_id;
    int anim_start;
    int anim_end;
    int framenum;
    int blendpos;
    int blendcount;

};



#endif

